*************************************************
*PROCEDURE MultiPrp
******************
***    Author: Rick Strahl
***            (c) West Wind Technologies, 1995
***   Contact: 76427,2363@compuserve.com
***            (503) 386-2087
***  Modified: 07/22/95
***  Function: Changes properties for Selected
***            Form/Class Designer properties.
***            Can be attached to BUILDER.APP to
***            be used whenever  multiple items
***            are selected.
***    Assume: Called from Form or Class Designer.
***            This program is in SET PATH or
***            the current directory, the
***            HOME()+"WIZARDS" directory when
***            called from BUILDER or command box
***      Pass: pcProperty - Property to change or
***                         "REGISTER" to install
***            pcValue	  - Value to set to
***                         (Pass as string!)
***            p3         - Required by builder
***            ALL PARAMETERS ARE OPTIONAL. When
***            called without parms interactive
***            window comes up instead.
***   Example: DO MULTIPRP WITH "REGISTER",;
***                 "Multiple Property Changer"
***          DO MULTIPROP  && Dialog
***          DO MULTIPRP WITH "FONTNAME","Arial"
***          DO MULTIPRP WITH ;
***                 "FONTSIZE","RGB(0,0,0)"
***
***          To use simply select multiple
***          objects on a form or class and
***          rightclick and select Builder.
***          You'll get a list of available
***          MULTISELECT builders - select the
***          multiprp builder from the list.
*************************************************
PARAMETER pcProperty,pcValue,p3
SET CLASSLIB TO wwBuild ADDITIVE

oNewProp=createobject("MultiProp",pcProperty,;
                      pcValue,p3)
IF TYPE("oNewProp")="O" .AND. !ISNULL(oNewProp)
  oNewProp.show
ENDIF  

RELEASE CLASSLIB wwBuild
RETURN
